# tbb::mutex Class Reference
[Synchronization]

Wrapper around the platform's native reader-writer lock. More...

`#include <mutex.h>`

List of all members.

## Public Types

typedef LPCRITICAL_SECTION | native_handle_type
| Return native_handle.
typedef pthread_mutex_t * | native_handle_type
| INITIALIZED = 0x1234
| DESTROYED = 0x789A
| HELD = 0x56CD
enum | state_t { INITIALIZED = 0x1234, DESTROYED = 0x789A, HELD = 0x56CD }

## Public Member Functions

| mutex ()
| Construct unacquired mutex.
void | lock ()
| Acquire lock.
bool | try_lock ()
| Try acquiring lock (non-blocking).
void | unlock ()
| Release lock.
native_handle_type | native_handle ()
void | set_state (state_t to)
| Set the internal state.

## Static Public Attributes

static const bool | is_rw_mutex = false
static const bool | is_recursive_mutex = false
static const bool | is_fair_mutex = false

## Friends

class | scoped_lock

## Classes

class | scoped_lock
| The scoped locking pattern. More...

## Detailed Description

Wrapper around the platform's native reader-writer lock.

For testing purposes only.

## Member Function Documentation

bool tbb::mutex::try_lock | ( |  | ) | `[inline]`

Try acquiring lock (non-blocking).

Return true if lock acquired; false otherwise.

The documentation for this class was generated from the following file:

- mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.